"use strict";
var utils_1 = require("../utils");
var child_process_1 = require("child_process");
var simpleGit = require("simple-git");
exports.publishCommand = {
    command: "publish",
    describe: "Publish the package to the npm registry and the central git repository.",
    handler: function (options) {
        var rootDir = process.cwd();
        var npmPublishCommand = child_process_1.spawn("npm", ["publish"], {
            stdio: "inherit"
        });
        npmPublishCommand.on("exit", function (exitCode) {
            if (exitCode === 0) {
                utils_1.logger.info("Published package to the npm registry.");
                simpleGit(rootDir)
                    .push("origin")
                    .pushTags("origin")
                    .then(function () { return utils_1.logger.info("Pushed the package to the git repository."); })
                    .then(function () { return process.exit(0); });
            }
            else {
                utils_1.logger.error("Could not publish package!");
                process.exit(exitCode);
            }
        });
    }
};
//# sourceMappingURL=publish.command.js.map