"use strict";
var child_process_1 = require("child_process");
var path = require("path");
var utils_1 = require("../utils");
var yargs_1 = require("yargs");
module.exports = function (env, config) {
    utils_1.logger.info("Creating documentation...");
    var args = ["--tsconfig", "tsconfig.json", "--theme", "vagrant", "--hideGenerator", "--disableGraph", "--output", "docs"];
    if (!yargs_1.argv["debug"]) {
        args.push("--silent");
    }
    var docProcess = child_process_1.spawn(getCompodocBinaryPath(), args, {
        cwd: config.rootDir,
        stdio: "inherit"
    });
    return new Promise(function (resolve) {
        docProcess.on("exit", function (exitCode) {
            resolve(exitCode);
        });
    });
};
function getCompodocBinaryPath() {
    return path.resolve(__dirname, "..", "..", "node_modules", ".bin", "compodoc");
}
//# sourceMappingURL=doc.task.js.map