"use strict";
var cli_helpers_1 = require("../cli-helpers");
var opn = require("opn");
var utils_1 = require("../utils");
module.exports = function (env, config, open, forcePort, quitAfterStart, silent) {
    if (silent === void 0) { silent = true; }
    return cli_helpers_1.getAvailablePort().then(function (port) {
        var localWebServer = require("local-web-server");
        var server = localWebServer({
            static: {
                root: config.targetDir
            },
            compress: true,
            log: {
                format: silent ? "none" : "tiny"
            }
        });
        utils_1.logger.info("Starting http server at port " + port + "...");
        return startServer(server, forcePort ? forcePort : port, open, quitAfterStart);
    });
};
function startServer(server, port, open, quitAfterStart) {
    return new Promise(function (resolve, reject) {
        server.listen(port);
        if (open) {
            opn("http://localhost:" + port);
        }
        utils_1.logger.debug("Server started.");
        if (quitAfterStart) {
            resolve(port);
        }
    });
}
//# sourceMappingURL=serve.task.js.map