"use strict";
var path = require("path");
var webpackMerge = require("webpack-merge");
var karma = require("karma");
var cli_helpers_1 = require("../cli-helpers");
var webpack_config_common_1 = require("../webpack/webpack.config.common");
var webpack_config_test_1 = require("../webpack/webpack.config.test");
var karma_conf_1 = require("../config/karma.conf");
var utils_1 = require("../utils");
module.exports = function (env, config, watch, coverage, browsers, xmlReport) {
    return cli_helpers_1.getAvailablePort().then(function (port) {
        var indexPath = path.join(config.sourceDir, "index.html");
        var polyfillsPattern = path.join(config.dllDir, "polyfills.dll.js");
        var vendorsPattern = path.join(config.dllDir, "vendors.dll.js");
        var testSetupPattern = path.resolve(__dirname, "..", "config", "test-bundle.js");
        var commonConfig = webpack_config_common_1.getCommonConfigPartial(indexPath, env, config, true, false);
        var testConfig = webpack_config_test_1.getTestConfigPartial(config);
        var webpackConfig = webpackMerge(commonConfig, testConfig);
        var karmaConfig = karma_conf_1.getKarmaConfig(testSetupPattern, vendorsPattern, polyfillsPattern, port, watch, coverage, config.coverageDir, webpackConfig, browsers, typeof xmlReport === "string" ? path.join(config.rootDir, xmlReport) : null, config.sass.globalStyles);
        utils_1.logger.info("Building test bundle...");
        return new Promise(function (resolve) {
            var server = new karma.Server(karmaConfig, function (exitCode) {
                if (!watch) {
                    utils_1.timer.end("Running the unit tests");
                }
                if (coverage) {
                    utils_1.logger.info("Wrote coverage report to " + config.coverageDir + ".");
                }
                resolve(exitCode);
            });
            server.start();
        });
    });
};
//# sourceMappingURL=test.task.js.map