"use strict";
var tracer = require("tracer");
var chalk = require("chalk");
var yargs_1 = require("yargs");
exports.logger = tracer.colorConsole({
    format: "[" + chalk.grey("{{timestamp}}") + "] [{{title}}] \"{{message}}\"",
    dateformat: "HH:MM:ss",
    level: yargs_1.argv["debug"] ? "debug" : yargs_1.argv["trace"] ? "trace" : "info"
});
var Timer = (function () {
    function Timer() {
        this.timers = {};
    }
    Timer.prototype.start = function (name) {
        this.timers[name] = new Date();
    };
    Timer.prototype.end = function (name, level) {
        if (level === void 0) { level = "info"; }
        var elapsedTime = new Date().getTime() - this.timers[name].getTime();
        exports.logger[level](name + " took " + elapsedTime / 1000 + "s");
    };
    return Timer;
}());
exports.timer = new Timer();
//# sourceMappingURL=utils.js.map