"use strict";
var loaderUtils = require("loader-utils");
var utils_1 = require("../../utils");
/**
 * This loader is needed to remove imports to non-existing sass files
 * during testing.
 */
module.exports = function (content) {
    var query = loaderUtils.parseQuery(this.query);
    if (query.stripSassImports) {
        if (query.importsIgnoredDuringTesting && Array.isArray(query.importsIgnoredDuringTesting) && query.importsIgnoredDuringTesting.length > 0) {
            var sassContent = content.toString();
            for (var _i = 0, _a = query.importsIgnoredDuringTesting; _i < _a.length; _i++) {
                var ignoredImport = _a[_i];
                var regex = new RegExp("@import\\s['|\"].*" + ignoredImport + ".*['|\"];");
                if (regex.test(sassContent)) {
                    sassContent = sassContent.replace(regex, "");
                    utils_1.logger.debug("[strip-sass-imports-loader] Ignored import of " + ignoredImport + ".");
                }
            }
            return sassContent;
        }
    }
    return content;
};
//# sourceMappingURL=strip-sass-imports-loader.js.map