"use strict";
var webpack = require("webpack");
var path = require("path");
var ProgressBarPlugin = require("progress-bar-webpack-plugin");
var webpack_vendors_1 = require("./webpack.vendors");
var webpack_polyfills_1 = require("./webpack.polyfills");
var DllPlugin = webpack.DllPlugin;
function getDllConfigPartial(dllDir) {
    return {
        entry: {
            vendors: webpack_vendors_1.VENDORS,
            polyfills: webpack_polyfills_1.POLYFILLS
        },
        output: {
            path: dllDir,
            filename: "[name].dll.js",
            library: "[name]"
        },
        devtool: "eval",
        plugins: [
            new DllPlugin({
                name: "[name]",
                path: path.join(dllDir, "[name].dll.json")
            }),
            new ProgressBarPlugin()
        ]
    };
}
exports.getDllConfigPartial = getDllConfigPartial;
//# sourceMappingURL=webpack.config.dll.js.map